### Method

# Gtk Printer get_hard_margins_for_paper_size

#### Declaration [src]

    gboolean
    gtk_printer_get_hard_margins_for_paper_size (
      GtkPrinter* printer,
      GtkPaperSize* paper_size,
      double* top,
      double* bottom,
      double* left,
      double* right
    )

#### Description [src]

Retrieve the hard margins of `printer` for `paper_size`.

These are the margins that define the area at the borders of the paper that the printer cannot print to.

Note: This will not succeed unless the printer’s details are available, see `gtk_printer_has_details()` and `gtk_printer_request_details()`.

#### Parameters

`paper_size`

  Type: `GtkPaperSize`

  A `GtkPaperSize`

  The data is owned by the caller of the method.

`top`

  Type: `double*`

  A location to store the top margin in.

  The argument will be set by the function.

`bottom`

  Type: `double*`

  A location to store the bottom margin in.

  The argument will be set by the function.

`left`

  Type: `double*`

  A location to store the left margin in.

  The argument will be set by the function.

`right`

  Type: `double*`

  A location to store the right margin in.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` iff the hard margins were retrieved.